set echo on;
set sql dialect 3;
set names UTF8;

input recreate_db.ddl;

-- deploy the UDR library
shell cp -L ../build/x86_64-linux/libMyFirstUDRKit.so /opt/firebird/plugins/udr/ ;

-- declare the UDR library - must be done before we declare database objects!
input ../sql/MyFirstUDRKit.ddl;


-- create db objects
input testudrkit.ddl;


-- insert some test data
input testudrkit-testdata.dml;

-- run some tests
input testudrkit-tests.dml;

/* Successfully completed execution of testudrkit.sql */
exit;








